Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 241550 - Review Request: ERESI - A unified reverse engineering framework for UNIX operating systems
Summary: Review Request: ERESI - A unified reverse engineering framework for UNIX oper...
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2007-05-28 00:59 UTC by Philippe Valembois
Modified: 2007-11-30 22:12 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-10-07 13:54:10 UTC


Attachments (Terms of Use)

Description Philippe Valembois 2007-05-28 00:59:10 UTC
Spec URL: http://www.amsn-project.net/~lephilousophe/fedora/eresi.spec
SRPM URL: http://www.amsn-project.net/~lephilousophe/fedora/eresi-0.77-0.1.20070527cvs.fc6.src.rpm
Description: 
The ERESI Reverse Engineering Software Interface is
a unified reverse engineering framework for UNIX
operating systems based on the Executable & Linking
Format (ELF) such as Linux, BSD, Solaris, IRIX, and BeOS.
It has a command line interface that make it useful
remotely, and can generate graph images from code
analysis on demand. It has a real dedicated reverse
engineering language that makes it scriptable and
adaptable to the precise needs of the users. ERESI
contains more than 10 innovative and exclusive features
that turns it into an environment of choice for the
instrumentation, analysis, debugging, tracing, hooking,
or simply integrity checking and events logging of binary
programs.

This package can be tied with BR#241526 because with upstream version, the compilation needs asm/atomic.h file. I removed the related include and it seems to work.
I tried to follow reviewing process and I think it folows rules.

It's my first package so I need someone to sponsor me.

Comment 1 Mamoru TASAKA 2007-06-06 17:59:57 UTC
Some notes:

* While you want to ship -devel package, why does the shared library
  %{_libdir}/*.so have no soversion? This will cause problems
  when ABI of the libraries change?

* The directory %{_includedir}/libelfsh/ does not seem to be
  owned by any package.

Comment 2 Philippe Valembois 2007-06-10 22:08:23 UTC
New version :
SPEC File : http://www.amsn-project.net/~lephilousophe/fedora/eresi.spec
SRPM :
http://www.amsn-project.net/~lephilousophe/fedora/eresi-0.77-0.2.20070527cvs.fc6.src.rpm

Changes:
Now package owns %{_includedir}/libelfsh/

Won't fix :
The guidelines say
- MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
then library files that end in .so (without suffix) must go in a -devel package.

As this package doesn't contain any library file with a suffix I won't put so
files in the -devel package

Comment 3 Philippe Valembois 2007-06-10 22:10:08 UTC
OOps
I installed F7 during both builds
SRPM :
http://www.amsn-project.net/~lephilousophe/fedora/eresi-0.77-0.2.20070527cvs.fc7.src.rpm

Comment 4 Mamoru TASAKA 2007-06-11 11:36:17 UTC
(In reply to comment #2)
> Won't fix :
> The guidelines say
> - MUST: If a package contains library files with a suffix (e.g. libfoo.so.1.1),
> then library files that end in .so (without suffix) must go in a -devel 
> package.
> 
> As this package doesn't contain any library file with a suffix 
> I won't put so
> files in the -devel package

Well, so again why does the library %{_libdir}/*.so has no
soname while this package tries to ship -devel package?

Shipping -devel package means that the libraries %{_libdir}/*.so
is allowed to be linked from other packages. So some binaries in
other package may link to the libraries in this package.

Then ABI of the libraries in this package may change in the future.
At this time, as these libraries have no sover, rpm has no clue of
whether ABI of these libraries changed, so rpm allows the upgrading
of this package. However, this upgrade surely stop the other binaries
linking to these libraries from working any more.

So IMO when the package want to provide -devel package, no-sover
libraries are generally bad. What do you think?



Comment 5 Mamoru TASAKA 2007-06-21 14:46:20 UTC
ping?

Comment 6 Philippe Valembois 2007-06-21 15:32:10 UTC
Sorry, I haven't enough time for now (exams time) and I don't really know how to
make these changes as it needs a complete redo of the buildchain as they don't
use  autoconf/automake.
I thought about renaming all files but that would be useless as executables are
linked against .so without soversion
If you have any idea...

Comment 7 Mamoru TASAKA 2007-06-22 16:16:58 UTC
Anyway adding sover must have done with the discussion with
upstream.

Would you ask the upstream of this package about adding sover?

Comment 8 Mamoru TASAKA 2007-07-03 18:18:07 UTC
ping?

Comment 9 Mamoru TASAKA 2007-07-10 17:33:55 UTC
ping again?

Comment 10 Mamoru TASAKA 2007-08-06 16:24:35 UTC
I will close this bug as NOTABUG if no response from
the reporter is received within ONE WEEK,

Comment 11 Philippe Valembois 2007-08-07 19:22:40 UTC
Hi,
sorry for the late reply but I must say that I haven't any experience with
soversions and upstream doesn't seem to want to add them to the makefiles... So
without any help saying me how to add them (I don't really know how libtool
does) I think I will have to give up this package (in addition, it seems to be
really beta).
Sorry...

Comment 12 Mamoru TASAKA 2007-08-08 16:17:52 UTC
Well, what does upstream actually say?
Even on the newest CVS there is no soversion (would you update to the
latest anyway)?

Comment 13 Mamoru TASAKA 2007-09-24 13:29:56 UTC
Anyway would you update the status of this bug?

Comment 14 Mamoru TASAKA 2007-10-07 08:45:01 UTC
ping again?

Comment 15 Philippe Valembois 2007-10-07 10:33:09 UTC
Sorry for the delay...
I was away from an internet connection for a long time...
Anyway, I must admit that I resign : the package is too complex for me and it
needs an integral rewrite of the buildchain. I think that's not to a package
maintainer to do such things but main developers should switch to a more robust
system.
Moreover, Fedora isn't my main distribution anymore because I put Gentoo on my
new laptop and I won't use my desktop PC as intensively as before.
Sorry.
Please put the according status to the bug as I am a bit lost with that.

Comment 16 Mamoru TASAKA 2007-10-07 13:54:10 UTC
Thank you for reply.

Please feel free to open a new review request when you want.


Note You need to log in before you can comment on or make changes to this bug.